Subject: MPC5200b problem configuring PSC6 as a serial port

From: Nick <[email-masked]>
Date: Tue, 29 Apr 2008 16:22:44 -0400

Hi Everyone,

Has anyone setup and used the MPC5200b PSC6 port as a serial port?  I am 
having trouble getting mine to work.  I am using PSC1, 2 and 3 already, 
and they work fine.  In my DTS file,  I have PSC6 configured like this:

serial@2c00 {  // PSC6
    device_type = "serial";
    compatible = "mpc5200b-psc-uart","mpc5200-psc-uart";
    port-number = <5>;
    reg = <2c00 100>;
    interrupts = <2 4 0>.;
    interrupt-parent = <&mpc5200_pic>;
};

Is there anything special I need to do to get this port working?

Thanks,

Nick